	.module P1_AVR_RS485.c
	.area text(rom, con, rel)
	.dbfile C:\DOCUME~1\STEPHE~1\Desktop\P1AVRM~1\P1_AVR_RS485.c
	.dbfunc e Write_RS485_Byte _Write_RS485_Byte fV
;         inbyte -> R0
	.even
_Write_RS485_Byte::
	.dbline -1
	.dbline 70
; /**************************************************************
; 
;    Program Title:  P1 AVR Boot/Monitor
;    
;    Program Name:  P1_AVR_RS485.c	Version: 0.87
;    
;    Author:  SS	  					  Date:  August 10, 2005
;    
;    Compiled with ImageCraft ICCAVR Standard V6.29
;    
;    This file contains routines that implement a set of interrupt driven 
;    function for RS-485 communication in the P1 AVR Boot Monitor.
;    
;    Copyright 2004-2005, SOC Robotics, Inc.  All rights reserved.
;    
; ****************************************************************/
; /*
;  * Copyright (C) 2005 by SOC Robotics, Inc. All rights reserved.
;  *
;  * Redistribution and use in source and binary forms, with or without
;  * modification, are permitted provided that the following conditions
;  * are met:
;  *
;  * 1. Redistributions of source code must retain the above copyright
;  *    notice, this list of conditions and the following disclaimer.
;  * 2. Redistributions in binary form must reproduce the above copyright
;  *    notice, this list of conditions and the following disclaimer in the
;  *    documentation and/or other materials provided with the distribution.
;  * 3. Neither the name of the copyright holders nor the names of
;  *    contributors may be used to endorse or promote products derived
;  *    from this software without specific prior written permission.
;  * 4. Redistribution is only allowed in combination with SOC Machines, 
;  *    Inc. hardware products.
;  *
;  * THIS SOFTWARE IS PROVIDED BY SOC ROBOTICS, INC. AND CONTRIBUTORS
;  * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
;  * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
;  * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL OC MACHINES, 
;  * INC. OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
;  * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
;  * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
;  * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
;  * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
;  * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF
;  * THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
;  * SUCH DAMAGE.
;  *
;  * For additional information see http://www.soc-machines.com
;  */
; 
; /*
;  * $Log: P1_Monitor.c,v $
;  * Revision 0.55  2005/07/17 16:40:20  SS
;  *    2-wire interface, 8MHz clock, AVR Flash writer, XON/XOFF, 38,700baud
;  * Revision 0.52  2005/06/04 18:36:42  SS
;  * Preview release
;  *
;  */
; #include <iom32v.h>
; #include <macros.h>
; #include <string.h>
; #include <stdlib.h>
; #include <stdio.h>
; #include "P1_AVR_Uart.h"
; #include "P1_AVR_Defines.h"
; #include "P1_AVR_Extern.h"
; 
; 
; void Write_RS485_Byte(unsigned char inbyte)
; {
	.dbline -2
L1:
	.dbline 0 ; func end
	ret
	.dbsym l inbyte 0 c
	.dbend
	.dbfunc e Read_RS485_Byte _Read_RS485_Byte fc
;         inbyte -> R16
	.even
_Read_RS485_Byte::
	.dbline -1
	.dbline 74
; }
; 
; unsigned char Read_RS485_Byte(void)
; {
	.dbline 77
;  	unsigned char inbyte;
; 	
;     return inbyte;
	.dbline -2
L2:
	.dbline 0 ; func end
	ret
	.dbsym r inbyte 16 c
	.dbend
	.dbfunc e Init_RS485 _Init_RS485 fV
;       baudrate -> R0,R1
	.even
_Init_RS485::
	.dbline -1
	.dbline 81
; }
; 
; void Init_RS485(int baudrate)
; {
	.dbline -2
L3:
	.dbline 0 ; func end
	ret
	.dbsym l baudrate 0 I
	.dbend
; }
; 
; 	
