/*******************************************************************************
File Name   : qamdata.h
Description : This header file contains data for testing qam_gen_packed function
*******************************************************************************/

// ********************************Input data********************************
#define PRINTF_SUPPORT
 segment ("mydata2") int iptr2 = 0x000000e4;
 // Input data for 4-QAM from 0 to 3 (2 bits for each data) 
 
 segment ("mydata2") int iptr3 = 0x00FAC688;
 // Input data for 8-QAM from 0 to 7 (3 bits for each data) 
 
 segment ("mydata2") int iptr4[2] = 
   {0x76543210,     // Input data for 16-QAM from 0 to 15 (4 bits for each data)
   0xFEDCBA98};
 
 segment ("mydata2") int iptr5[6] = 
   {0x8A418820,  
   0xC5A92839,
   0xCA307B9A,      // Input data for 32-QAM from 0 to 31 (5 bits for each data)
   0x38BDAB49,
   0xFFBBCDEB};
 
 segment ("mydata2") int iptr6[12] =
   {0x440C2040,
   0xA2481C61,
   0x3CE34C2C,                              
   0x544D2450,
   0xA6585D65,
   0x7DE75C6D,     // Input data for 64-QAM from 0 to 63 (6 bits for each data)
   0x648E2860,
   0xAA689E69,
   0xBEEB6CAE,
   0x74CF2C70,
   0xAE78DF6D,
   0xFFEF7CEF};

                  // Input data for 128-QAM from 0 to 127 (7 bits for each data)
  segment ("mydata2") int iptr7[44] = 
 {0x40608080,   0x880e1828,   0x68c16284,   0x88901e38,   0x58a94264,   
  0x668c982e,   0x3e78e9c3,   0x446890a0,   0xa84e992a,   0x6ac56a94,   
  0x98b05eb9,   0xd9ab466c,   0x6e9cb86e,   0x7ef9ebc7,   0x4870a0c0,   
  0xc88f1a2c,   0x6cc972a4,   0xa8d09f3a,   0x5aad4a74,   0x76acd8af,   
  0xbf7aedcb,   0x4c78b0e0,   0xe8cf9b2e,   0x6ecd7ab4,   0xb8f0dfbb,   
  0xdbaf4e7c,   0x7ebcf8ef,   0xfffbefcf};

                  // Input data for 256-QAM from 0 to 255 (8 bits for each data)
 segment ("mydata2") int iptr8[64] = 
  {0x03020100,  0x07060504,  0x0B0A0908,  0x0F0E0D0C,  0x13121110,  0x17161514,
  0x1B1A1918,  0x1F1E1D1C,  0x23222120,  0x27262524,  0x2B2A2928,  0x2F2E2D2C,
  0x33323130,  0x37363534,  0x3B3A3938,  0x3F3E3D3C,  0x43424140,  0x47464544,
  0x4B4A4948,  0x4F4E4D4C,  0x53525150,  0x57565554,  0x5B5A5958,  0x5F5E5D5C,
  0x63626160,  0x67666564,  0x6B6A6968,  0x6F6E6D6C,  0x73727170,  0x77767574,
  0x7B7A7978,  0x7F7E7D7C,  0x83828180,  0x87868584,  0x8B8A8988,  0x8F8E8D8C,
  0x93929190,  0x97969594,  0x9B9A9998,  0x9F9E9D9C,  0xA3A2A1A0,  0xA7A6A5A4,
  0xABAAA9A8,  0xAFAEADAC,  0xB3B2B1B0,  0xB7B6B5B4,  0xBBBAB9B8,  0xBFBEBDBC,
  0xC3C2C1C0,  0xC7C6C5C4,  0xCBCAC9C8,  0xCFCECDCC,  0xD3D2D1D0,  0xD7D6D5D4,
  0xDBDAD9D8,  0xDFDEDDDC,  0xE3E2E1E0,  0xE7E6E5E4,  0xEBEAE9E8,  0xEFEEEDEC,
  0xF3F2F1F0,  0xF7F6F5F4,  0xFBFAF9F8,  0xFFFEFDFC};


// *********************************Output data*******************************
                 // Output data for testing in cartesian co-ordinate format.
 segment ("mydata3") short optr2[8]= 
  {1,1, -1,1, 1,-1, -1,-1}; // Output data from 4-QAM in Amc,Ams format.

 segment ("mydata3") short optr3[16]= 
  {1,1, -1,1, 1,-1, -1,-1,
   3,1, -3,1, 3,-1, -3,-1}; // Output data from 8-QAM in Amc,Ams format.

 segment ("mydata3") short optr4[32]= 
  {1,1, -1,1, 1,-1, -1,-1,      
   3,1, -3,1, 3,-1, -3,-1,      
   1,3, -1,3, 1,-3, -1,-3,  // Output data from 16-QAM in Amc,Ams format.
   3,3, -3,3, 3,-3, -3,-3};

 segment ("mydata3") short optr5[64]= 
  {1,1, -1,1, 1,-1, -1,-1,      
   3,1, -3,1, 3,-1, -3,-1,      
   1,5, -1,5, 1,-5, -1,-5,      
   5,1, -5,1, 5,-1, -5,-1,  // Output data from 32-QAM in Amc,Ams format.
   1,3, -1,3, 1,-3, -1,-3,      
   3,3, -3,3, 3,-3, -3,-3,      
   3,5, -3,5, 3,-5, -3,-5,      
   5,3, -5,3, 5,-3, -5,-3};
  
  segment ("mydata3") short optr6[128]= 
  {1,1, -1,1, 1,-1, -1,-1,      
   3,1, -3,1, 3,-1, -3,-1,      
   7,1, -7,1, 7,-1, -7,-1,      
   5,1, -5,1, 5,-1, -5,-1,      
   1,3, -1,3, 1,-3, -1,-3,      
   3,3, -3,3, 3,-3, -3,-3,      
   7,3, -7,3, 7,-3, -7,-3,  // Output data from 64-QAM in Amc,Ams format.
   5,3, -5,3, 5,-3, -5,-3,      
   1,7, -1,7, 1,-7, -1,-7,      
   3,7, -3,7, 3,-7, -3,-7,      
   7,7, -7,7, 7,-7, -7,-7,      
   5,7, -5,7, 5,-7, -5,-7,      
   1,5, -1,5, 1,-5, -1,-5,      
   3,5, -3,5, 3,-5, -3,-5,      
   7,5, -7,5, 7,-5, -7,-5,      
   5,5, -5,5, 5,-5, -5,-5}; 
  
  segment ("mydata3") short optr7[256]= 
  {1,1,  -1,1,  1,-1,  -1,-1,
                            //0-3 
   3,1,  -3,1,  3,-1,  -3,-1,       
   7,1,  -7,1,  7,-1,  -7,-1,       
   5,1,  -5,1,  5,-1,  -5,-1,       
   1,9,  -1,9,  1,-9,  -1,-9,
                            //16-19 
   1,11, -1,11, 1,-11, -1,-11,      
   9,1,  -9,1,  9,-1,  -9,-1,       
   11,1, -11,1, 11,-1, -11,-1,      
   1,3,  -1,3,  1,-3,  -1,-3,
                            //32-35 Output data from 128-QAM in Amc,Ams format. 
   3,3,  -3,3,  3,-3,  -3,-3,       
   7,3,  -7,3,  7,-3,  -7,-3,       
   5,3,  -5,3,  5,-3,  -5,-3,
   3,9,  -3,9,  3,-9,  -3,-9,
                            //48-51 
   3,11, -3,11, 3,-11, -3,-11,      
   9,3,  -9,3,  9,-3,  -9,-3,       
  11,3,  -11,3, 11,-3, -11,-3,      
   1,7,  -1,7,  1,-7,  -1,-7,
                            //64-67 
   3,7,  -3,7,  3,-7,  -3,-7,   
   7,7,  -7,7,  7,-7,  -7,-7,   
   5,7,  -5,7,  5,-7,  -5,-7,       
   7,9,  -7,9,  7,-9,  -7,-9,
                            //80-83 
   7,11, -7,11, 7,-11, -7,-11,      
   9,7,  -9,7,  9,-7,  -9,-7,       
  11,7,  -11,7, 11,-7, -11,-7,      
   1,5,  -1,5,  1,-5,  -1,-5,
                            //96-99 
   3,5,  -3,5,  3,-5,  -3,-5,       
   7,5,  -7,5,  7,-5,  -7,-5,       
   5,5,  -5,5,  5,-5,  -5,-5,       
   5,9,  -5,9,  5,-9,  -5,-9,       
   5,11, -5,11, 5,-11, -5,-11,      
   9,5,  -9,5,  9,-5,  -9,-5,       
  11,5,  -11,5, 11,-5, -11,-5};     
  
  segment ("mydata3") short optr8[512]= 
  {1,1,    -1,1,        1,-1,       -1,-1,
                            //0-3 
   3,1,     -3,1,       3,-1,       -3,-1,      
   7,1,     -7,1,       7,-1,       -7,-1,      
   5,1,     -5,1,       5,-1,       -5,-1,      
  15,1,     -15,1,      15,-1,      -15,-1,
                            //16-19 
  13,1,     -13,1,      13,-1,      -13,-1,     
   9,1,     -9,1,       9,-1,       -9,-1,      
  11,1,     -11,1,      11,-1,      -11,-1,     
   1,3,     -1,3,       1,-3,       -1,-3,
                            //32-35 Output data from 256-QAM in Amc,Ams format. 
   3,3,     -3,3,       3,-3,       -3,-3,      
   7,3,     -7,3,       7,-3,       -7,-3,      
   5,3,     -5,3,       5,-3,       -5,-3,      
  15,3,     -15,3,      15,-3,      -15,-3,
                            //48-51 
  13,3,     -13,3,      13,-3,      -13,-3,     
   9,3,     -9,3,       9,-3,       -9,-3,      
  11,3,     -11,3,      11,-3,      -11,-3,     
   1,7,     -1,7,       1,-7,       -1,-7,
                            //64-67 
   3,7,     -3,7,       3,-7,       -3,-7,      
   7,7,     -7,7,       7,-7,       -7,-7,      
   5,7,     -5,7,       5,-7,       -5,-7,      
  15,7,     -15,7,      15,-7,      -15,-7,
                            //80-83 
  13,7,     -13,7,      13,-7,      -13,-7,     
   9,7,     -9,7,       9,-7,       -9,-7,      
  11,7,     -11,7,      11,-7,      -11,-7,     
   1,5,     -1,5,       1,-5,       -1,-5,
                            //96-99 
   3,5,     -3,5,       3,-5,       -3,-5,      
   7,5,     -7,5,       7,-5,       -7,-5,      
   5,5,     -5,5,       5,-5,       -5,-5,      
  15,5,     -15,5,      15,-5,      -15,-5,
                            //112-115 
  13,5,     -13,5,      13,-5,      -13,-5,     
   9,5,     -9,5,       9,-5,       -9,-5,      
  11,5,     -11,5,      11,-5,      -11,-5,     
   1,15,    -1,15,      1,-15,      -1,-15,
                            //128-131 
   3,15,    -3,15,      3,-15,      -3,-15,     
   7,15,    -7,15,      7,-15,      -7,-15,     
   5,15,    -5,15,      5,-15,      -5,-15,     
  15,15,    -15,15,     15,-15,     -15,-15,
                            //144-147 
  13,15,    -13,15,     13,-15,     -13,-15,        
   9,15,    -9,15,      9,-15,      -9,-15,     
  11,15,    -11,15,     11,-15,     -11,-15,        
   1,13,    -1,13,      1,-13,      -1,-13,
                            //160-163 
   3,13,    -3,13,      3,-13,      -3,-13,     
   7,13,    -7,13,      7,-13,      -7,-13,     
   5,13,    -5,13,      5,-13,      -5,-13,     
  15,13,    -15,13,     15,-13,     -15,-13,
                            //176-179 
  13,13,    -13,13,     13,-13,     -13,-13,        
   9,13,    -9,13,      9,-13,      -9,-13,     
  11,13,    -11,13,     11,-13,     -11,-13,        
   1,9,     -1,9,       1,-9,       -1,-9,  
   3,9,     -3,9,       3,-9,       -3,-9,      
   7,9,     -7,9,       7,-9,       -7,-9,      
   5,9,     -5,9,       5,-9,       -5,-9,      
  15,9,     -15,9,      15,-9,      -15,-9,     
  13,9,     -13,9,      13,-9,      -13,-9,     
   9,9,     -9,9,       9,-9,       -9,-9,      
  11,9,     -11,9,      11,-9,      -11,-9,     
   1,11,    -1,11,      1,-11,      -1,-11,     
   3,11,    -3,11,      3,-11,      -3,-11,     
   7,11,    -7,11,      7,-11,      -7,-11,     
   5,11,    -5,11,      5,-11,      -5,-11,     
  15,11,    -15,11,     15,-11,     -15,-11,        
  13,11,    -13,11,     13,-11,     -13,-11,        
   9,11,    -9,11,      9,-11,      -9, -11,        
  11,11,    -11,11,     11,-11,     -11,-11};       

